Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Photon (or Java 8 compatible tool)(Eclipse Photon (or Java 8 compatible tool))
Eclipse Photon (or Java 8 compatible tool) [message #1801848] Mon, 28 January 2019 11:52 Go to next message
Russ Hardyman is currently offline Russ HardymanFriend
Messages: 1
Registered: January 2019
Junior Member
Hi all,

Hope this is being posted in the correct area!

I am trying to provide the correct version of Eclipse for a department within my IT organisation and the one important factor has to be that it is compatible with Java 8.

The original request was for Photon however that was released in 2017 and the most recent version of Eclipse would make sense to provide.

My question is, is Eclipse 2019-03 M1 IDE for Java Developers compatible with Java 8?

If not, can anyone advise what the best solution would be for me?

Incase it's required, our environment is Windows 10 Enterprise x64 build 1803.

Many thanks

Russ
Re: Eclipse Photon (or Java 8 compatible tool) [message #1801865 is a reply to message #1801848] Mon, 28 January 2019 16:09 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30911
Registered: July 2009
Senior Member
Absolutely. In fact it supports Java 11. Note that 2019-03 doesn't release using March. The Eclipse IDE 2018-12 is also in good shape, but has minor problems running on a Java 11 JVM (because some libraries are removed, e.g., JAXB). It works great running on Java 8, 9, and 10 and also support all Java versions through 11.
Previous Topic:Show\Hide menu based on current selected tab in TabbedPropertySheetPage in Eclipse
Next Topic:changing the eclipse itself icon
Goto Forum:
  


Current Time: Wed Feb 26 22:08:37 GMT 2020

Powered by FUDForum. Page generated in 0.02672 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top